# Uses of Interface
org.eclipse.jdt.core.IJavaElementDelta

Packages that use IJavaElementDelta
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.compiler
This package contains compiler associated infrastructure APIs.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of IJavaElementDelta in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IJavaElementDelta
Modifier and Type
Method
Description
`IJavaElementDelta[]`
IJavaElementDelta.`getAddedChildren()`
Returns deltas for the children that have been added.
`IJavaElementDelta[]`
IJavaElementDelta.`getAffectedChildren()`
Returns deltas for the affected (added, removed, or changed) children.
`IJavaElementDelta[]`
IJavaElementDelta.`getAnnotationDeltas()`
Returns deltas for affected annotations (added, removed, or changed).
`IJavaElementDelta[]`
IJavaElementDelta.`getChangedChildren()`
Returns deltas for the children which have changed.
`IJavaElementDelta`
ElementChangedEvent.`getDelta()`
Returns the delta describing the change.
`IJavaElementDelta[]`
IJavaElementDelta.`getRemovedChildren()`
Returns deltas for the children which have been removed.
Constructors in org.eclipse.jdt.core with parameters of type IJavaElementDelta
Modifier
Constructor
Description
``
`ElementChangedEvent(IJavaElementDelta delta, int type)`
Creates an new element changed event (based on a `IJavaElementDelta`).

## Uses of IJavaElementDelta in org.eclipse.jdt.core.compiler

Methods in org.eclipse.jdt.core.compiler that return IJavaElementDelta
Modifier and Type
Method
Description
`IJavaElementDelta`
ReconcileContext.`getDelta()`
Returns the delta describing the change to the working copy being reconciled.

## Uses of IJavaElementDelta in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type IJavaElementDelta
Modifier and Type
Method
Description
`protected boolean`
StandardJavaElementContentProvider.`isClassPathChange(IJavaElementDelta delta)`
Tests if the a Java element delta contains a class path change
`protected void`
JavaElementContentProvider.`processDelta(IJavaElementDelta delta)`
Deprecated.